body,
figure>table,
li>ol,
li>ul {
  margin: 0
}
body,
figure,
table {
  padding: 0
}
#write.fences-no-line-wrapping pre,
.md-fences {
  white-space: pre
}
#write .footnote-line,
#write .md-fences.mock-cm,
#write pre,
.typora-export .footnote-line,
.typora-export li,
.typora-export p,
pre.md-meta-block {
  white-space: pre-wrap
}
.md-reset,
a:active,
a:hover {
  outline: 0
}
img,
kbd {
  vertical-align: middle
}
.md-diagram-panel > svg,
iframe,
img,
video {
  max-width: 100%
}
#write,
.md-reset,
body {
  height: auto
}
#write,
#write h1,
#write h2,
#write h3,
#write h4,
#write h5,
#write h6,
#write p,
#write pre {
  width: inherit
}
.md-math-block,
.md-rawblock,
h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin-top: 1rem;
  margin-bottom: 1rem
}
.md-reset,
hr {
  box-sizing: content-box
}
:root {
  --bg-color: #ffffff;
  --text-color: #333333;
  --select-text-bg-color: #b5d6fc;
  --select-text-font-color: auto;
  --monospace: "Lucida Console",Consolas,"Courier",monospace;
  --side-bar-bg-color: #fafafa;
  --control-text-color: #777
}
html {
  background-color: var(--bg-color);
  color: var(--text-color);
  font-family: complete__subset;
  -webkit-font-smoothing: antialiased
}
body {
  overflow-x: hidden;
  background: inherit;
}
a.url {
  word-break: break-all
}
.in-text-selection,
::selection {
  text-shadow: none;
  background: var(--select-text-bg-color);
  color: var(--select-text-font-color)
}
#write.first-line-indent p {
  text-indent: 2em
}
#write.first-line-indent li p,
#write.first-line-indent p * {
  text-indent: 0
}
.typora-export .task-list-item input {
  pointer-events: none
}
@media screen and (max-width:500px) {
  body.typora-export {
    padding-left: 0;
    padding-right: 0
  }
  #write {
    padding-left: 20px;
    padding-right: 20px
  }
}
#write li > figure:last-child {
  margin-bottom: .5rem
}
img {
  image-orientation: from-image
}
button,
input,
select,
textarea {
  color: inherit;
  font: inherit
}
a.md-toc-inner,
p {
  line-height: inherit
}
*,
::after,
::before {
  box-sizing: border-box
}
p {
  orphans: 4
}
h1,
h2,
h3,
h4,
h5,
h6 {
  break-after: avoid-page;
  break-inside: avoid;
  orphans: 4
}
.hidden,
.md-attr,
.md-math-block:not(:empty)::after,
.md-toc-content::after,
.md-toc::after {
  display: none
}
.md-blockmeta {
  color: #ccc;
  font-weight: 700;
  font-style: italic
}
a {
  cursor: pointer;
  color: #4183c4;
  text-decoration: none;
}
sup.md-footnote {
  padding: 2px 4px;
  background-color: rgba(238,238,238,.7);
  color: #555;
  border-radius: 4px;
  cursor: pointer
}
sup.md-footnote a,
sup.md-footnote a:hover {
  color: inherit;
  text-transform: inherit;
  text-decoration: inherit
}
.md-reset,
.md-toc-item a,
h1:hover a.anchor,
h2:hover a.anchor,
h3:hover a.anchor,
h4:hover a.anchor,
h5:hover a.anchor,
h6:hover a.anchor {
  text-decoration: none
}
#write input[type=checkbox] {
  cursor: pointer;
  width: inherit;
  height: inherit
}
figure {
  overflow-x: auto;
  margin: 1.2em 0;
  max-width: calc(100% + 16px)
}
tr {
  break-inside: avoid;
  break-after: auto
}
thead {
  display: table-header-group
}
table {
  border-collapse: collapse;
  border-spacing: 0;
  width: 100%;
  overflow: auto;
  break-inside: auto;
  word-break: initial;
  text-align: right
}
.md-def-name,
.md-diagram-panel,
h1 {
  text-align: center
}
table.md-table td {
  min-width: 32px
}
.CodeMirror-gutters {
  border-right: 0;
  background-color: inherit
}
.CodeMirror-linenumber {
  user-select: none
}
.CodeMirror-placeholder {
  opacity: .3
}
.CodeMirror pre {
  padding: 0 4px
}
div.hr:focus {
  cursor: none
}
#write pre.ty-contain-cm {
  white-space: normal
}
.md-fences {
  display: block;
  overflow: visible;
  background: inherit;
  position: relative!important
}
.md-reset,
kbd {
  white-space: nowrap
}
#typora-quick-open,
.md-fences,
code,
table tr:nth-child(2n),
thead,
tt {
  background-color: #f8f8f8
}
.md-diagram-panel {
  width: 100%;
  margin-top: 10px;
  padding-top: 0;
  padding-bottom: 8px;
  overflow-x: auto
}
.md-fences.md-fences-with-lineno,
.task-list-item.md-task-list-item,
blockquote blockquote {
  padding-left: 0
}
#write.fences-no-line-wrapping .md-fences.mock-cm {
  white-space: pre;
  overflow-x: auto
}
.footnotes {
  opacity: .8;
  font-size: .9rem;
  margin-top: 1em;
  margin-bottom: 1em
}
.footnotes+.footnotes,
blockquote>:first-child,
h1 p,
h2 p,
h3 p,
h4 p,
h5 p,
h6 p,
li>:first-child,
ol:first-child,
table tr td:first-child,
table tr th:first-child,
ul:first-child {
  margin-top: 0
}
.md-reset {
  margin: 0;
  padding: 0;
  border: 0;
  vertical-align: top;
  text-shadow: none;
  float: none;
  position: static;
  width: auto;
  cursor: inherit;
  -webkit-tap-highlight-color: transparent;
  line-height: normal;
  font-weight: 400;
  direction: ltr
}
.md-math-block,
iframe {
  width: 100%
}
.md-toc-inner,
a img,
img a {
  cursor: pointer
}
li div {
  padding-top: 0
}
li .mathjax-block,
li p {
  margin: .5rem 0
}
li {
  margin: 0;
  position: relative
}
blockquote>:last-child,
ol:last-child,
table tr td:last-child,
table tr th:last-child,
ul:last-child {
  margin-bottom: 0
}
.footnotes-area {
  color: #888;
  margin-top: .714rem;
  padding-bottom: .143rem;
  white-space: normal
}
@media print {
  .typora-export #write,
  body,
  html {
    break-after: avoid
  }
  body,
  html {
    border: 1px solid transparent;
    height: 99%;
    break-before: avoid;
    font-variant-ligatures: no-common-ligatures
  }
  #write {
    margin-top: 0;
    padding-top: 0;
    border-color: transparent!important
  }
  .typora-export * {
    -webkit-print-color-adjust: exact
  }
  .typora-export #write::after {
    height: 0
  }
  .is-mac table {
    break-inside: avoid
  }
}
#write,
video {
  margin: 0 auto
}
.footnote-line {
  margin-top: .714em;
  font-size: .7em
}
pre.md-meta-block {
  font-size: .8rem;
  min-height: .8rem;
  background: #ccc;
  display: block;
  overflow-x: hidden
}
p > .md-image:only-child:not(.md-img-error) img,
p > img:only-child {
  display: block;
  margin: auto
}
#write.first-line-indent p > .md-image:only-child:not(.md-img-error) img {
  left: -2em;
  position: relative
}
p > .md-image:only-child {
  display: inline-block;
  width: 100%
}
#write .MathJax_Display {
  margin: .8em 0 0
}
[contenteditable=false]:active,
[contenteditable=false]:focus,
[contenteditable=true]:active,
[contenteditable=true]:focus {
  outline: 0;
  box-shadow: none
}
.md-task-list-item {
  position: relative;
  list-style-type: none
}
.md-task-list-item > input {
  top: 0;
  margin-top: calc(1em - 10px);
  border: none
}
.math,
[lang=mermaid] .node text {
  font-size: 1rem
}
.md-toc {
  min-height: 3.58rem;
  position: relative;
  font-size: .9rem;
  border-radius: 10px
}
.md-toc-content {
  position: relative;
  margin-left: 0
}
.md-toc-item {
  display: block;
  color: #4183c4
}
.md-toc-inner,
li p.first {
  display: inline-block
}
.md-toc-inner:hover {
  text-decoration: underline
}
.md-toc-h1 .md-toc-inner {
  margin-left: 0;
  font-weight: 700
}
@media screen and (max-width:48em) {
  .md-toc-h3 .md-toc-inner {
    margin-left: 3.5em
  }
  .md-toc-h4 .md-toc-inner {
    margin-left: 5em
  }
  .md-toc-h5 .md-toc-inner {
    margin-left: 6.5em
  }
  .md-toc-h6 .md-toc-inner {
    margin-left: 8em
  }
}
a.md-toc-inner {
  font-size: inherit;
  font-style: inherit;
  font-weight: inherit
}
.footnote-line a:not(.reversefootnote),
.md-html-inline .md-plain,
.md-html-inline strong,
mark .md-inline-math,
mark strong {
  color: inherit
}
.md-fn-count::after {
  content: "."
}
kbd {
  margin: 0 .1em;
  padding: .1em .6em;
  font-size: .8em;
  color: #242729;
  background: #fff;
  border: 1px solid #adb3b9;
  border-radius: 3px;
  box-shadow: rgba(12,13,14,.2) 0 1px 0,#fff 0 0 0 2px inset
}
table tr td,
table tr th {
  border: 1px solid #dfe2e5;
  margin: 0;
  padding: 6px 13px;
  text-align: right
}
.md-comment {
  color: #a27f03;
  opacity: .8
}
a.md-print-anchor {
  white-space: pre!important;
  border-width: initial!important;
  border-style: none!important;
  border-color: initial!important;
  display: inline-block!important;
  position: absolute!important;
  width: 1px!important;
  right: 0!important;
  outline: 0!important;
  text-decoration: initial!important;
  text-shadow: initial!important
}
h1,
h2 {
  padding-bottom: .3em;
  border-bottom: 1px solid #eee
}
.highlight td,
.highlight tr,
hr {
  border: 0
}
.md-inline-math .MathJax_SVG .noError {
  display: none!important
}
.html-for-mac .inline-math-svg .MathJax_SVG {
  vertical-align: .2px
}
.md-math-block .MathJax_SVG_Display {
  text-align: center;
  margin: 0;
  position: relative;
  text-indent: 0;
  max-width: none;
  max-height: none;
  min-height: 0;
  min-width: 100%;
  width: auto;
  overflow-y: hidden;
  display: block!important
}
.MathJax_SVG_Display,
.md-inline-math .MathJax_SVG_Display {
  width: auto;
  margin: inherit;
  display: inline-block!important
}
.os-windows.monocolor-emoji .md-emoji {
  font-family: "Segoe UI Symbol",sans-serif
}
[lang=flow] svg,
[lang=mermaid] svg {
  max-width: 100%;
  height: auto
}
video {
  display: block
}
iframe {
  border: none
}
svg[id^=mermaidChart] {
  line-height: 1em
}
mark {
  background: #ff0;
  color: #000
}
mark .md-meta {
  color: #000;
  opacity: .3!important
}
html {
  font-size: 22px
}
body {
  font-family: complete__subset;
  color: #333;
  line-height: 1.6;
  right: 0;
  left: 0
}
#write {
  word-break: normal;
  overflow-wrap: break-word;
  position: relative;
  white-space: normal;
  overflow-x: visible;
  max-width: 860px;
  padding: 20px 30px 100px;
  direction: rtl
}
#write > ol:first-child,
#write > ul:first-child {
  margin-top: 30px
}
body > :first-child {
  margin-top: 0!important
}
body > :last-child {
  margin-bottom: 0!important
}
h1,
h2,
h3,
h4 {
  position: relative;
  font-weight: 400;
  line-height: 1.6;
  cursor: text
}
h1 {
  font-size: 2.25em
}
h2 {
  font-size: 1.75em
}
h3 {
  font-size: 1.5em;
  line-height: 1.43
}
h4 {
  font-size: 1.25em
}
h5,
h6 {
  font-size: 1em
}
h6 {
  color: #777
}
blockquote,
dl,
ol,
p,
table,
ul {
  margin: .8em 0
}
hr {
  height: 2px;
  padding: 0;
  margin: 16px 0;
  background-color: #e7e7e7;
  overflow: hidden
}
body.typora-export,
ol,
ul {
  padding-right: 30px
}
a:first-child h1,
a:first-child h2,
a:first-child h3,
a:first-child h4,
a:first-child h5,
a:first-child h6,
body>h1:first-child,
body>h1:first-child+h2,
body>h2:first-child,
body>h3:first-child,
body>h4:first-child,
body>h5:first-child,
body>h6:first-child {
  margin-top: 0;
  padding-top: 0
}
blockquote {
  border-right: 4px solid #dfe2e5;
  padding: 0 15px;
  color: #555
}
table tr {
  border-top: 1px solid #dfe2e5;
  margin: 0;
  padding: 0
}
table tr th {
  font-weight: 700;
  border-bottom: 0
}
.CodeMirror-lines {
  padding-right: 4px
}
.code-tooltip {
  box-shadow: 0 1px 1px 0 rgba(0,28,36,.3);
  border-top: 1px solid #eef2f2
}
.md-fences,
code,
tt {
  border: 1px solid #e7eaed;
  border-radius: 3px;
  padding: 2px 4px 0;
  font-size: .9em;
  direction: ltr
}
code {
  vertical-align: initial;
  background-color: #f3f4f4;
  text-align: right
}
.md-fences {
  margin-bottom: 15px;
  margin-top: 15px;
  padding: 8px 1em 6px
}
.md-task-list-item > input {
  position: absolute;
  right: 0;
  left: auto;
  margin-right: -1.2em;
  margin-left: auto
}
#write pre.md-meta-block {
  font-family: "MV Typewriter";
  padding: 1rem;
  font-size: 85%;
  line-height: 1.45;
  background-color: #f7f7f7;
  border: 0;
  border-radius: 3px;
  color: #777;
  margin-top: 0!important
}
#write > h3.md-focus:before {
  right: -1.5625rem;
  top: .375rem
}
#write>h4.md-focus:before,
#write>h5.md-focus:before,
#write>h6.md-focus:before {
  right: -1.5625rem;
  top: .285714286rem
}
.md-image > .md-meta {
  border-radius: 3px;
  padding: 2px 0 0 4px;
  font-size: .9em;
  color: inherit
}
.md-def-name,
.md-fences.md-fences-with-lineno,
.task-list-item.md-task-list-item {
  padding-right: 0
}
.md-tag {
  color: #a7a7a7;
  opacity: 1
}
.md-toc {
  margin-top: 20px;
  padding-bottom: 20px
}
.sidebar-tabs {
  border-bottom: none
}
#typora-quick-open {
  border: 1px solid #ddd
}
#typora-quick-open-item {
  background-color: #fafafa;
  border-color: #fefefe #e5e5e5 #e5e5e5 #eee;
  border-style: solid;
  border-width: 1px
}
.on-focus-mode blockquote {
  border-right-color: rgba(85,85,85,.12)
}
.context-menu,
.megamenu-content,
footer,
header {
  font-family: "Segoe UI",Arial,"Tharujamaanu, " sans-serif
}
.md-def-name {
  padding-left: 0;
  direction: rtl
}
.CodeMirror,
.md-fences,
.md-reset {
  text-align: right
}
.md-def-footnote .md-def-name:before {
  content: "[^";
  position: relative;
  padding-left: .5ch
}
.md-def-footnote .md-def-name:after {
  content: "] :";
  position: relative;
  padding-right: .5ch
}
#write.first-line-indent li,
.md-toc-h2 .md-toc-inner {
  margin-right: 2em;
  margin-left: auto
}
.for-image #write {
  padding-right: 8px;
  padding-left: 8px
}
body.typora-export {
  padding-left: 30px
}
@media screen and (max-width:700px) {
  body.typora-export {
    padding-right: 0;
    padding-left: 0
  }
  #write {
    padding-right: 20px;
    padding-left: 20px
  }
  .CodeMirror-sizer {
    margin-right: 0!important;
    margin-left: auto
  }
}
.CodeMirror-gutters {
  border-left: 0;
  border-right: none;
  margin-left: 4px;
  margin-right: auto
}
.md-fences.mock-cm.md-fences-with-lineno {
  padding-right: 8px;
  padding-left: 0
}
.md-reset {
  background: right 0;
  direction: rtl
}
@media print {
  html {
    font-size: 13px
  }
  pre,
  table {
    page-break-inside: avoid
  }
  pre {
    word-wrap: break-word
  }
  .typora-export #write {
    padding-right: 32px;
    padding-left: 32px
  }
}
.md-toc-content,
.md-toc-h1 .md-toc-inner {
  margin-right: 0
}
.md-toc-h3 .md-toc-inner {
  margin-right: 4em;
  margin-left: auto
}
.md-toc-h4 .md-toc-inner {
  margin-right: 6em;
  margin-left: auto
}
.md-toc-h5 .md-toc-inner {
  margin-right: 8em;
  margin-left: auto
}
.md-toc-h6 .md-toc-inner {
  margin-right: 10em;
  margin-left: auto
}
@media screen and (max-width:48em) {
  .md-toc-h3 .md-toc-inner {
    margin-right: 3.5em;
    margin-left: auto
  }
  .md-toc-h4 .md-toc-inner {
    margin-right: 5em;
    margin-left: auto
  }
  .md-toc-h5 .md-toc-inner {
    margin-right: 6.5em;
    margin-left: auto
  }
  .md-toc-h6 .md-toc-inner {
    margin-right: 8em;
    margin-left: auto
  }
}
a.md-print-anchor {
  border-right: none!important;
  border-left: none!important;
  left: 0!important;
  background: right 0!important
}